%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major          0
%define libname        %mklibname matemixer %{major}
%define develname      %mklibname -d matemixer

# filter out plugin .so provides
%global __provides_exclude_from %{_libdir}/%{name}/.*\\.so

Summary:        A mixer library for MATE desktop
Name:           libmatemixer
Version:        1.26.0
Release:        %mkrel 2
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
License:        GPLv2+ and LGPLv2+
Group:          Sound/Mixers
URL:            https://www.mate-desktop.org

BuildRequires:  intltool
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
# Pulseaudio backend
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpulse-mainloop-glib)
#Alsa backend
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gthread-2.0)

%description
libmatemixer is a mixer library for MATE desktop. It provides an abstract API
allowing access to mixer functionality available in the PulseAudio, ALSA and
OSS sound systems.

%package -n %{libname}
Group:          System/Libraries
Summary:        %{summary}
Requires:       matemixer-backend

%description -n %{libname}
libmatemixer is a mixer library for MATE desktop. It provides an abstract API
allowing access to mixer functionality available in the PulseAudio, ALSA and
OSS sound systems.

%package -n     %{develname}
Group:          Development/C
Summary:        Devel files for Mate Mixer Library
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for Mate Mixer Library.

%package -n     matemixer-backend-pulse
Group:          System/Libraries
Summary:        PulseAudio backend for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       matemixer-backend = %{version}-%{release}

%description -n matemixer-backend-pulse
libmatemixer is a mixer library for MATE desktop. It provides an abstract API
allowing access to mixer functionality available in the PulseAudio, ALSA and
OSS sound systems.

This package provides PulseAudio backend for libmatemixer. If you want to use
ALSA or OSS backend install matemixer-backend-alsa or matemixer-backend-oss
packages.

%package -n     matemixer-backend-alsa
Group:          System/Libraries
Summary:        ALSA backend for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       matemixer-backend = %{version}-%{release}

%description -n matemixer-backend-alsa
libmatemixer is a mixer library for MATE desktop. It provides an abstract API
allowing access to mixer functionality available in the PulseAudio, ALSA and
OSS sound systems.

This package provides ALSA backend for libmatemixer. If you want to use
PulseAudio or OSS backend install matemixer-backend-pulse or
matemixer-backend-oss packages.

%package -n     matemixer-backend-oss
Group:          System/Libraries
Summary:        OSS backend for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       matemixer-backend = %{version}-%{release}

%description -n matemixer-backend-oss
libmatemixer is a mixer library for MATE desktop. It provides an abstract API
allowing access to mixer functionality available in the PulseAudio, ALSA and
OSS sound systems.

This package provides OSS backend for libmatemixer. If you want to use
PulseAudio or ALSA backend install matemixer-backend-pulse or
matemixer-backend-alsa packages.

%prep
%autosetup

%build
%configure \
        --disable-static \
        --enable-oss
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -n %{libname} -f %{name}.lang
%doc AUTHORS COPYING README
%{_libdir}/%{name}.so.%{major}{,.*}
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/%{name}-null.so

%files -n matemixer-backend-pulse
%{_libdir}/%{name}/%{name}-pulse.so

%files -n matemixer-backend-alsa
%{_libdir}/%{name}/%{name}-alsa.so

%files -n matemixer-backend-oss
%{_libdir}/%{name}/%{name}-oss.so

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/libmatemixer.so
%{_libdir}/pkgconfig/libmatemixer.pc
%{_includedir}/mate-mixer/



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1820733
- Mageia 9 Mass Rebuild

* Sat Aug 07 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740020
- new version 1.26.0

* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618691
- Update to version 1.24.1

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1547901
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488598
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375481
- Update to version 1.22.0

* Sat Dec 01 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1337297
- Update to version 1.20.1

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1298978
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201340
- Updated to 1.20.0 version

* Fri Oct 27 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174299
- Updated to 1.19.0 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092530
- Update to 1.18.0 version
- Update to 1.17.0 version

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074647
- new version 1.16.0

* Wed Apr 13 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001155
- Update to 1.14.0 version

* Sun Feb 07 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942297
- Update to 1.13.0 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908115
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898538
- Update to 1.12.0 version

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 837000
- imported package libmatemixer

